## rocsolver 7.1.0

=== debian/changelog ===
rocsolver (7.1.0-0ubuntu1) resolute; urgency=medium

  [ Talha Can Havadar ]
  * New upstream version 7.1.0
  * d/watch: simplified, removed unnecessary regexes
  * d/control: update b-d version limitations
  * d/rules: add librocsolver0 symbols check to make sure it fails on mismatch
  * d/control: use upstream llvm for build dependencies
  * d/control: remove ppc64el builds (LP: #2134241)

  [ Tom Rix ]
  * d/rules: enable offload compress and remove fixed gpu archs

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 02 Jan 2026 19:00:35 +0100

rocsolver (6.4.3-2) unstable; urgency=medium

  * Disable offload compress build option. Using that option results
    in missing symbol errors at run time when HIP programs built with
    the LLVM 21 compiler are loaded with the ROCm 6.4 runtime in Debian.
  * d/rules: override dh_auto_build and dh_auto_install to fix FTBFS when
    building only architecture-independent packages.
  * Add prompt for rocminfo output to library and test bug reports.
  * Use generic ISAs as the library is too large to build otherwise.
    The default build targets are now gfx803, gfx9-generic, gfx9-4-generic,
    gfx908, gfx90a, gfx10-1-generic, gfx10-3-generic, gfx11-generic, and
    gfx12-generic.

 -- Cordell Bloor <cgmb@debian.org>  Wed, 19 Nov 2025 12:59:31 -0700

rocsolver (6.4.3-1~exp1ubuntu2) UNRELEASED; urgency=medium

  * d/rules: fix rocm-target-arch call (it was returning an empty list before)

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 25 Nov 2025 18:51:03 -0300

rocsolver (6.4.3-1~exp1ubuntu1) UNRELEASED; urgency=medium

  * d/control: update build-deps for rocsolver
  * d/control: update maintainer field
  * d/rules: fix FTBFS by adding -Wl,--gc-sections to flags
  * d/rules: use GPU_TARGETS instead of deprecated AMDGPU_TARGETS

 -- Igor Luppi <igor.luppi@canonical.com>  Fri, 10 Oct 2025 16:55:42 -0300
