=== debian/control ===
Source: rocsolver
Section: devel
Homepage: https://github.com/ROCm/rocSOLVER
Priority: optional
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rocm-team/rocsolver.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocsolver
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Maxime Chambonnet <maxzor@maxzor.eu>,
           Cordell Bloor <cgmb@debian.org>,
           Christian Kastner <ckk@debian.org>,
           Christian Bayle <bayle@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               gfortran,
               hipcc (>= 7.1.0),
               libamd-comgr-dev (>= 7.1.0~),
               libhsa-runtime-dev (>= 7.1.0),
               rocm-cmake,
               libfmt-dev,
               librocblas-dev (>= 7.1.0~),
               librocprim-dev (>= 7.1.0~),
               liblapack-dev,
               pkg-rocm-tools (>= 0.9.3~),
               libgtest-dev <!nocheck>,
Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
               python3-doxysphinx <!nodoc>,
               python3-rocm-docs (>= 1.20.0-1~) <!nodoc>,
               python3-sphinx-external-toc <!nodoc>,
               doxygen <!nodoc>,
               libjs-jquery <!nodoc>,
               libjs-mathjax <!nodoc>,
               libjs-sphinxdoc <!nodoc>,
               libjs-underscore <!nodoc>,
Rules-Requires-Root: no

Package: librocsolver0
Section: libs
Architecture: amd64 arm64
XB-X-ROCm-GPU-Architecture: ${rocm:GPU-Architecture}
Depends: ${misc:Depends}, ${shlibs:Depends}, libamdhip64-7 (>=7.1.0~)
Description: ROCm library for numerical linear algebra - library
 rocSOLVER is an implementation of LAPACK routines built on the AMD ROCm
 platform and optimized for discrete AMD GPUs.
 .
 rocSOLVER provides a C99 API that extends the rocBLAS interface. It
 includes LAPACK and LAPACK-like routines for triangular factorizations,
 orthogonal factorizations, linear-systems solvers, least-squares solvers,
 symmetric eigensolvers and singular value decomposition.
 .
 This package provides the AMD ROCm rocSOLVER library.

Package: librocsolver-dev
Section: libdevel
Architecture: amd64 arm64
Depends: librocsolver0 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
         librocblas-dev
Suggests: librocsolver-doc
Description: ROCm library for numerical linear algebra - headers
 rocSOLVER is an implementation of LAPACK routines built on the AMD ROCm
 platform and optimized for discrete AMD GPUs.
 .
 rocSOLVER provides a C99 API that extends the rocBLAS interface. It
 includes LAPACK and LAPACK-like routines for triangular factorizations,
 orthogonal factorizations, linear-systems solvers, least-squares solvers,
 symmetric eigensolvers and singular value decomposition.
 .
 This package provides the AMD ROCm rocSOLVER development headers.

Package: librocsolver0-bench
Section: libdevel
Architecture: amd64 arm64
Depends: librocsolver0 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
Build-Profiles: <!nocheck>
Description: ROCm library for numerical linear algebra - benchmarks
 rocSOLVER is an implementation of LAPACK routines built on the AMD ROCm
 platform and optimized for discrete AMD GPUs.
 .
 rocSOLVER provides a C99 API that extends the rocBLAS interface. It
 includes LAPACK and LAPACK-like routines for triangular factorizations,
 orthogonal factorizations, linear-systems solvers, least-squares solvers,
 symmetric eigensolvers and singular value decomposition.
 .
 This package provides the AMD ROCm rocSOLVER benchmark client used for
 gathering performance data about library functions.

Package: librocsolver0-tests
Section: libdevel
Architecture: amd64 arm64
Depends: librocsolver0 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
Build-Profiles: <!nocheck>
Description: ROCm library for numerical linear algebra - tests
 rocSOLVER is an implementation of LAPACK routines built on the AMD ROCm
 platform and optimized for discrete AMD GPUs.
 .
 rocSOLVER provides a C99 API that extends the rocBLAS interface. It
 includes LAPACK and LAPACK-like routines for triangular factorizations,
 orthogonal factorizations, linear-systems solvers, least-squares solvers,
 symmetric eigensolvers and singular value decomposition.
 .
 This package provides the AMD ROCm rocSOLVER test binaries used for verifying
 that the library is functioning correctly. These binaries are only used to
 check whether rocSOLVER works correctly on a given GPU, so generally speaking,
 users probably don't need this package.

Package: librocsolver-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
Breaks: librocsolver-dev (<< 5.5.1-5~),
Replaces: librocsolver-dev (<< 5.5.1-5~),
Description: ROCm library for numerical linear algebra - documentation
 rocSOLVER is an implementation of LAPACK routines built on the AMD ROCm
 platform and optimized for discrete AMD GPUs.
 .
 rocSOLVER provides a C99 API that extends the rocBLAS interface. It
 includes LAPACK and LAPACK-like routines for triangular factorizations,
 orthogonal factorizations, linear-systems solvers, least-squares solvers,
 symmetric eigensolvers and singular value decomposition.
 .
 This package provides the AMD ROCm rocSOLVER documentation.
