=== debian/watch ===
Version: 5

Source: https://github.com/ROCm/rocSOLVER.git
Matching-Pattern: refs/tags/rocm-?@ANY_VERSION@
Mode: git
